Skip to main content
GET
/
v1
/
service-items
List service items
curl --request GET \
  --url https://api.halth.com/v1/service-items
{
  "items": [
    {
      "name": "<string>",
      "itemCode": "<string>",
      "categories": [
        "<string>"
      ]
    }
  ],
  "page": 1,
  "limit": 10,
  "totalItems": 100,
  "totalPages": 10
}

Query Parameters

page
number
default:1

Page number

Required range: 1 <= x <= 9007199254740991
Example:

1

limit
number
default:10

Number of items per page

Required range: 1 <= x <= 200
Example:

10

q
string
Maximum string length: 255
serviceTypeCode
enum<string>
Available options:
F,
3,
4,
5,
6,
7,
8,
9,
P,
M,
1,
E,
U,
C,
S,
B,
N,
H,
Z,
0,
2,
V,
T,
O,
A,
L,
R,
G,
Q,
X,
W,
I,
K,
Y,
D

Response

200 - application/json
items
object[]
page
number
Example:

1

limit
number
Example:

10

totalItems
number
Example:

100

totalPages
number
Example:

10